
@echo off
for /f "tokens=2*" %%a in ('REG QUERY HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.seb /ve') do set "ExtensionKey=%%~b"
echo Extension .seb is set to open %ExtensionKey%

for /f "tokens=2*" %%a in ('REG QUERY HKEY_CLASSES_ROOT\%ExtensionKey%\shell\Open\command /ve') do set "AppPath=%%~b"
set AppPathStripped=%AppPath:" "%1=%

for /f "tokens=2*" %%a in ('REG QUERY HKEY_CLASSES_ROOT\seb\shell\open\command /ve') do set "ProtocolPath=%%~b"
set ProtocolPathStripped=%ProtocolPath:" "%1=%
if "%AppPathStripped%" == "%ProtocolPathStripped%" (
	echo Path for seb:// and opening .seb files matches
	echo SEB is installed in "%AppPathStripped%"
) else (
	echo MISMATCH on Path for seb:// and opening .seb files
	echo Path for .seb files is "%AppPathStripped%"
	echo Path for seb:// used for exam is "%ProtocolPathStripped%"
)

CertUtil -hashfile "%AppPathStripped%" SHA1 | find /i /v "sha1" | find /i /v "certutil" > SEBCHK
set /p SEBChecksum= < SEBCHK
set SEBChecksum=%SEBChecksum: =%
del /Q SEBCHK
echo Calculating checksum for SafeExamBrowser.exe
echo Got checksum %SEBChecksum%

if "%SEBChecksum%" == "1df77b929a8fcfa26be0f912776fd56ecb8dfee9" (
echo CORRECT SafeExamBrowser 2.1.7 detected
        pause
        Exit /b
)
if "%SEBChecksum%" == "7fc0c8defd136972da1874d538add3b1d4b4888e" (
    echo CORRECT SafeExamBrowser 2.1.6 detected
        pause
        Exit /b
)

if "%SEBChecksum%" == "65e55ec935952be59dc7cc35674ea3bb22eb5af1" (
    echo CORRECT SafeExamBrowser 2.1.5 detected
	pause
	Exit /b
)

if "%SEBChecksum%" == "6d1e96e0187bf25e39b49b7499b48ee166ec8e19" (
    echo Old SafeExamBrowser 2.1.3 detected
	echo You need to install latest versions of SafeExamBrowser 
    pause
    Exit /b
)

if "%SEBChecksum%" == "8fc1b95cbc6b62f011cae55ec993c7dd51a28d73" (
    echo Old SafeExamBrowser 2.1.1 detected
	echo You need to install latest versions of SafeExamBrowser
    pause
    Exit /b
)

echo Could not find a correct Safe Exam Browser installation
pause
Exit /b
